<?php
if (! defined('ABSPATH')) {
    exit; // Exit if accessed directly.
}
?>
<!DOCTYPE html>
<html <?php language_attributes(); ?>>

<head>
    <meta charset="<?php bloginfo('charset'); ?>" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <?php wp_head(); ?>
</head>

<body <?php body_class(); ?>>
    <?php
    if (function_exists('wp_body_open')) {
        wp_body_open();
    } else {
        do_action('wp_body_open');
    } ?>
    <!-- Skip link -->
    <a class="skip-link" href="#main-content"><?php echo esc_html__('Skip to content', 'welding-for-elementor'); ?></a>

    <?php get_template_part('template-parts/header/header'); ?>

    <!-- Reading Progress Bar -->
    <?php
    $reading_progress_bar = get_theme_mod('welding_for_elementor_reading_progress_bar', 'on');
    $progress_bar_position = get_theme_mod('welding_for_elementor_progress_bar_position', 'top');
    $adjust_progress_bar_position = get_theme_mod('welding_for_elementor_adjust_progress_bar_position', 72);
    $progress_bar_thickness = get_theme_mod('welding_for_elementor_progress_bar_thickness', 3);

    if (is_single() && $reading_progress_bar) : ?>
        <div id="tr-progress-bar" style = "
<?php echo ($progress_bar_position == 'top') ? 'top' : 'bottom'; ?>:<?php echo esc_attr($adjust_progress_bar_position); ?>px; height: <?php echo esc_attr($progress_bar_thickness); ?>px;">
        </div>
    <?php endif; ?>
    <!-- smooth-content div start -->
    <div id="smooth-wrapper">
        <div id="smooth-content">